Class RMail::Address::List

In: | lib/rmail/address.rb
Parent: | Array

RMail::Address::List is a simple subclass of the Array class that provides convenience methods for accessing the RMail::Address objects it contains.

Methods

addresses display_names domains format locals names

Public Instance methods

locals()

Returns an array of strings — the result of calling RMail::Address#local on each element of the list.

display_names()

Returns an array of strings — the result of calling RMail::Address#display_name on each element of the list.

names()

Returns an array of strings — the result of calling RMail::Address#name on each element of the list.

domains()

Returns an array of strings — the result of calling RMail::Address#domain on each element of the list.

addresses()

Returns an array of strings — the result of calling RMail::Address#address on each element of the list.

format()

Returns an array of strings — the result of calling RMail::Address#format on each element of the list.